## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: swami
Version: 2.2.2
Release: %autorelease
Summary: MIDI instrument and sound editor
License: GPL-2.0-only
URL: http://www.swamiproject.org/

Source0: https://github.com/swami/swami/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: cmake
BuildRequires: fftw-devel
BuildRequires: fluidsynth-devel
BuildRequires: libglade2-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libinstpatch-devel
BuildRequires: librsvg2-devel
BuildRequires: desktop-file-utils

Requires: hicolor-icon-theme
Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description
The Swami Project - Sampled Waveforms And Musical Instruments - is a collection
of free software for editing and sharing MIDI instruments and sounds. Swami
aims to provide an instrument editing and sharing software for instrument
formats such as SoundFont, DLS and GigaSampler.

%package libs
Summary: MIDI instrument and sound editor library

%description libs
Shared libraries for The Swami Project - Sampled Waveforms And Musical
Instruments.

%package devel
Summary: MIDI instrument and sound editor development files
Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Headers and development files for The Swami Project - Sampled Waveforms And
Musical Instruments.

%prep
%autosetup -n %{name}-%{version}

%build

%cmake -DLIB_SUFFIX="" -DPLUGINS_DIR=%{_lib}/swami/
%cmake_build

%install

%cmake_install

desktop-file-install                                    \
    --add-category="AudioVideo"                         \
    --add-category="X-Jack"                             \
    --remove-category="Application"                     \
    --remove-key="Encoding"                             \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog NEWS README.md HACKERS
%license COPYING
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime/packages/%{name}.xml

%files libs
%{_libdir}/lib%{name}*.so.*

%files devel
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}/

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Feb 08 2024 Yann Collette <ycollette.nospam@free.fr> - 2.2.2-2
- import swami 2.2.2 sources

* Thu Feb 08 2024 Yann Collette <ycollette.nospam@free.fr> - 2.2.2-1
- update to 2.2.2

* Wed Feb 07 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-31
- Unretirement releng request: https://pagure.io/releng/issue/11927

* Tue Sep 22 2020 Jeff Law <law@redhat.com> - 2.0.0-30
- Use cmake_in_source_build to fix FTBFS due to recent cmake macro changes

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-29
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Feb 17 2020 Orcan Ogetbil <orcan@localhost.localdomain> - 2.0.0-27
- specfile bits for the fluidsynth2 patch

* Mon Feb 17 2020 Orcan Ogetbil <orcan@localhost.localdomain> - 2.0.0-26
- added patch to build against fluidsynth2

* Mon Feb 17 2020 Orcan Ogetbil <orcan@localhost.localdomain> - 2.0.0-25
- Rebuild against fluidsynth2

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.0-21
- Remove obsolete Group tag

* Wed Oct 24 2018 Orcan Ogetbil <orcan@localhost.localdomain> - 2.0.0-20
- Patch for invalid pointer cast on 64bit systems Remove old scriptlets

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 10 2018 Orcan Ogetbil <orcan@localhost.localdomain> - 2.0.0-18
- added BR: gcc

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.0-16
- Remove obsolete scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-15
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Dennis Gilmore <dennis@ausil.us> - 2.0.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 02 2014 Rex Dieter <rdieter@math.unl.edu> - 2.0.0-10
- update icon/mime scriptlets, use %%name macro in subpkg deps

* Mon Aug 18 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 2.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Dennis Gilmore <dennis@ausil.us> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Dennis Gilmore <dennis@ausil.us> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.0.0-3
- Rebuild for new libpng

* Sat Aug 13 2011 Orcan Ogetbil <oget.fedora@gmail.com> - 2.0.0-2
- Install the .desktop file properly

* Sat Aug 13 2011 Orcan Ogetbil <oget.fedora@gmail.com> - 2.0.0-1
- Update to swami2. Fixes RHBZ#728694

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 0.9.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-6
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 0.9.4-5
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Thu Aug 06 2009 Orcan Ogetbil <oget@fedoraproject.org> - 0.9.4-4
- correct the date of the last changelog entry

* Thu Aug 06 2009 Orcan Ogetbil <oget@fedoraproject.org> - 0.9.4-3
- Update .desktop file

* Mon Jul 27 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Orcan Ogetbil <oget@fedoraproject.org> - 0.9.4-1
- Add Requires: hicolor-icon-theme Fri Mar 27 2009 Orcan Ogetbil <oget
  [DOT] fedora [AT] gmail [DOT] com> - 0.9.4-3 - Initial Fedora build
## END: Generated by rpmautospec
